Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
Colgate Kids TP Premium (0-2 years) 70g/80g - Image 1
Click to enlarge
Home Uncategorized Colgate Kids TP Premium (0-2 years) 70g/80g
Colgate Kids TP Spiderman (Batman) B 80g
Colgate Kids TP Spiderman (Batman) B 80g .ރ 30.00
Back to products
Colgate TP Active Salt 100g
Colgate TP Active Salt 100g .ރ 25.00

Colgate Kids TP Premium (0-2 years) 70g/80g

.ރ 35.00

1 in stock

SKU: 08234 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart
Placeholder

COAST CALCIUM MILK POWDER 900 g RFC003

.ރ 220.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

DUTCH LADY UHT MILK 200 ml CHOCOLATE

.ރ 15.00
Add to cart

DUTCH LADY UHT MILK 200 ml FULL-CREAM

.ރ 15.00
Add to cart

DUTCH LADY UHT MILK 200 ml STRAWBERRY

.ރ 15.00
Add to cart
Placeholder

GEM BISCUITS 4 Kg (MAHKOTA)

.ރ 0.12
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account